Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

Cho mình hỏi cách cài đặt khung, Layer, dim, text sẵn trong cad khi khởi động là có luôn


  • Please log in to reply
10 replies to this topic

#1 ctquan8188

ctquan8188

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 30 December 2010 - 04:26 PM

A em trong diễn đàn có ai biết cách cài đặt các khổ giấy A4 - A0, layer, các đường Dim, nét vẽ trong cad mà khi khởi động cad lên thì các nét vẽ và đường đim có luôn trong bãn vẽ rồi. CÒn Các khổ giấy thì mình muốn loại khổ giấy nào thì đánh lệnh là ra lun! nghe mấy ông bạn làm được thấy hay quá mà chưa ứng dụng đc
Mong anh em chỉ giáo! :D
  • 2

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5425 Bài viết
Điểm đánh giá: 2493 (tuyệt vời)

Đã gửi 30 December 2010 - 04:51 PM

Có khá nhiều cách để làm điều đó.Cách đơn giản nhất để tự làm là bạn tạo các file mẫu có sẵn các đường Dim,nét vẽ,text style,page setup.... rồi lưu file ở dạng file mẫu (*.dwt).
Cách thứ 2 là tạo các hàm thiết đặt bằng lisp,bằng VBA...hay bằng gì gì đó.Cái này nếu chưa đi sâu vào CAD thì bạn chưa nên quan tâm
Cách khác nữa là hỏi thẳng mấy ông bạn của bạn, rồi copy về nghiền ngẫm :D
  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#3 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 113 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 26 April 2011 - 11:42 PM

A em trong diễn đàn có ai biết cách cài đặt các khổ giấy A4 - A0, layer, các đường Dim, nét vẽ trong cad mà khi khởi động cad lên thì các nét vẽ và đường đim có luôn trong bãn vẽ rồi. CÒn Các khổ giấy thì mình muốn loại khổ giấy nào thì đánh lệnh là ra lun! nghe mấy ông bạn làm được thấy hay quá mà chưa ứng dụng đc
Mong anh em chỉ giáo! :D

mình thì tạo 1 file cad mẫu bao gồm các block, layer, dim...hay sử dụng.
khổ giấy thì có thể set 4layout a4, a3...cái nào cần thì dùng ko thì bỏ đi đc mà^^.
(chú ý tham khảo lệnh xref)
  • 1
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#4 sehivaivan

sehivaivan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 October 2011 - 04:05 PM

mình thì tạo 1 file cad mẫu bao gồm các block, layer, dim...hay sử dụng.
khổ giấy thì có thể set 4layout a4, a3...cái nào cần thì dùng ko thì bỏ đi đc mà^^.
(chú ý tham khảo lệnh xref)


bac oi sao khng gui file do len cho anh em download ve the
  • 0

#5 langtu_phieudu_1004

langtu_phieudu_1004

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 October 2011 - 04:07 PM

chỉ rõ hơn đc ko bác em mới vào nghịch nên chả biết j,bác chỉ cụ thể hộ em với
thanks bác
  • 0

#6 ula.kthn

ula.kthn

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 November 2011 - 12:07 AM

minh cung bi roi' cho nay..may bac' chi ro gip em voi..thanhs ..thanhs...
  • 0

#7 wander_ctu

wander_ctu

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 26 December 2011 - 11:17 AM

Chào bạn,

Bạn có thể tạo sẵn các Layer, Dim, Linetype, khổ giấy... Sau khi tạo xong, bạn chọn "Save as" và save với extension là DWT (AutoCAD Drawing Template). Bạn có thể lưu ở thư mục "Template" mặc định của ACAD hoặc thư mục nào đó. Để tải bản vẽ này, Bạn chọn "New", khi hộp thoại "Create New drawing" hiện lên, bạn click chọn nút "Use a Templae" (nút thứ 3 từ trái qua), chọn tên Bản vẽ Template bạn đã tạo (nếu bạn lưu trên thư mục "Template" của ACAD) hoặc chọn "Browse" để đến thư mục bạn đã lưu file Template.

Lưu ý, bạn nên tạo file Tempate theo hệ đơn vị Metric. Để chọn được hệ Metric, bạn gõ "Startup" rồi gõ số 1. Từ File, chọn "New" sau đó chọn "Metric" từ hộp thoại "Create New Drawing" (nút "Start from Sratch").
Chúc bạn thành công!
  • 2

#8 namnhim

namnhim

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 27 January 2012 - 02:41 PM

tôi có 1 đoạn lisp này có thể bạn dùng được:
===================================
TAO CAC LOAI KHUNG MAU BAN VE CO SAN:
===================================
(defun C:KHUNG (/ )
  (command "cmdecho" 0)
  (command "osnap" "none")
  (setq DIEMCHEN (getpoint "CHON GOC TRAI-DUOI BAN VE"))
  (chenkhungCG DIEMCHEN) ;VE CAC KHUNG TY LE CHUAN DE DINH HUONG
  (setq MSTL (getreal "\nCHON TY LE BAN VE (BAM SO TUONG UNG T/LE:100;200;250;500;1000;2000): "))
;XOA CAC KHUNG DINH HUONG
(repeat 12 (command "_erase" (ssget "L") ""))
;CHEN MAU HO SO VAO
(setq DUONGDAN "c:\\program files\\AutoCAD 2004\\Khung\\")
  (setq LOAIHS "Khung")
  (setq TENFILE (strcat LOAIHS (rtos MSTL 2 0) ".dwg"))
  (ChenBlock DUONGDAN TENFILE DIEMCHEN (/ MSTL 1000))
(prompt "\nDA TAO XONG KHUNG BAN VE!")(command "osnap" "End,Mid,Int,Perp")(Princ)
);END DEFUN KHUNG
===================================
;SCALE BAN VE LAM TANG CO CHU KICH THUOC THEO TY LE
;;;=================================
(defun SCDim( / e ob OName SF LSF)
(while (setq e (ssname ssd 0))
(setq
ob (vlax-ename->vla-object e)
OName (vla-get-ObjectName ob)
SF (vla-get-ScaleFactor ob))
(if (not (wcmatch OName "*AngularDimension"))
(progn
(setq LSF (vla-get-LinearScaleFactor ob))
(command "dimoverride" "dimlfac" (/ LSF k) "" e "")))
(if (/= opt "N") (command "dimoverride" "dimscale" (* SF k) "" e ""))
(ssdel e ssd)))
;==========
(defun C:SCC( / ss ssd p k opt)(prompt "\nGo lenh: SCC de phong to hoac thu nho ban ve va kich thuoc ")
(vl-load-com)
(setq
ss (ssget)
ssd (ssget "p" '((0 . "DIMENSION")))
p (getpoint "\nTAM DIEM KHI SCALE:")
k (getreal "\nSCALE LEN MAY LAN:")
;opt (strcase (getstring "\nDim scale overall? [Yes/No] :"))
)
(if (= opt "") (setq opt "N"))
(if (> k 1)
(progn (command "scale" ss "" p k) (SCDim))
(progn (SCDim) (command "scale" ss "" p k))
)
(prompt "\nDA PHONG TO BAN VE VA KICH THUOC!")(Princ)
)
VÀ TẠO CÁC FILE MẪU TỈ LỆ: 1/100; 1/200; 1/250; 1/500; 1/1000; 1/2000.
LƯU Ý: TẠO 1 FILE MẪU TỈ LỆ 1/1000, SAU ĐÓ COPY THÀNH CÁC FILE NHƯNG VẪN DỮ NGUYÊN TỈ LỆ 1/1000 VÀ CHỈ SỬA CHỮ TỈ LỆ Ở PHẦN NHƯ HÌNH MINH HỌA KÈM THEO" TỶ LỆ: 1/1*** (Đơn vị cm)" BÊN TRONG BẢN VẼ VÀ XỬ DỤNG LỆNH SCC KÈM THEO ĐỂ SCALE DIM CHO ĐÚNG TỈ LỆ NGOÀI RA KHÔNG ĐƯỢC SCALE KHUNG RỒI LƯU FILE VẬY LÀ OK.
BẢN VẼ SẼ TỰ SCALE KHUNG KHI MÌNH GÕ LỆNH: KHUNG -> NHẬP SỐ TƯƠNG ỨNG VỚI TỈ LỆ 100 HOẶC 200 ...., VÀ NÓ SẼ HIỆN LÊN KHUNG NHƯ MÌNH ĐÃ MẶC ĐỊNH!
NHỚ COPY FILE KHUNG CỦA MÌNH THEO ĐÚNG ĐƯỜNG DẪN VÀO Ổ "c:\\program files\\AutoCAD 2004\\Khung\\"SAU ĐÓ SỬA VÀ LƯU FILE VÀO ĐÓ.
BẢN VẼ KÈM THEO ĐÃ CÓ KÍCH THƯỚC CHUẨN THEO TỪNG TỈ LỆ VÀ BẢN VẼ VẪN GIỮ NGUYÊN TỈ LỆ 1/1000:
http://www.cadviet.c...62465_khung.rar
  • 2

#9 tientracdia

tientracdia

    biết lệnh rotate

  • Members
  • PipPipPip
  • 138 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 16 March 2013 - 02:19 PM

tôi có 1 đoạn lisp này có thể bạn dùng được:

===================================
TAO CAC LOAI KHUNG MAU BAN VE CO SAN:
===================================
(defun C:KHUNG (/ )
  (command "cmdecho" 0)
  (command "osnap" "none")
  (setq DIEMCHEN (getpoint "CHON GOC TRAI-DUOI BAN VE"))
  (chenkhungCG DIEMCHEN) ;VE CAC KHUNG TY LE CHUAN DE DINH HUONG
  (setq MSTL (getreal "\nCHON TY LE BAN VE (BAM SO TUONG UNG T/LE:100;200;250;500;1000;2000): "))
;XOA CAC KHUNG DINH HUONG
(repeat 12 (command "_erase" (ssget "L") ""))
;CHEN MAU HO SO VAO
(setq DUONGDAN "c:\\program files\\AutoCAD 2004\\Khung\\")
  (setq LOAIHS "Khung")
  (setq TENFILE (strcat LOAIHS (rtos MSTL 2 0) ".dwg"))
  (ChenBlock DUONGDAN TENFILE DIEMCHEN (/ MSTL 1000))
(prompt "\nDA TAO XONG KHUNG BAN VE!")(command "osnap" "End,Mid,Int,Perp")(Princ)
);END DEFUN KHUNG
===================================
;SCALE BAN VE LAM TANG CO CHU KICH THUOC THEO TY LE
;;;=================================
(defun SCDim( / e ob OName SF LSF)
(while (setq e (ssname ssd 0))
(setq
ob (vlax-ename->vla-object e)
OName (vla-get-ObjectName ob)
SF (vla-get-ScaleFactor ob))
(if (not (wcmatch OName "*AngularDimension"))
(progn
(setq LSF (vla-get-LinearScaleFactor ob))
(command "dimoverride" "dimlfac" (/ LSF k) "" e "")))
(if (/= opt "N") (command "dimoverride" "dimscale" (* SF k) "" e ""))
(ssdel e ssd)))
;==========
(defun C:SCC( / ss ssd p k opt)(prompt "\nGo lenh: SCC de phong to hoac thu nho ban ve va kich thuoc ")
(vl-load-com)
(setq
ss (ssget)
ssd (ssget "p" '((0 . "DIMENSION")))
p (getpoint "\nTAM DIEM KHI SCALE:")
k (getreal "\nSCALE LEN MAY LAN:")
;opt (strcase (getstring "\nDim scale overall? [Yes/No] :"))
)
(if (= opt "") (setq opt "N"))
(if (> k 1)
(progn (command "scale" ss "" p k) (SCDim))
(progn (SCDim) (command "scale" ss "" p k))
)
(prompt "\nDA PHONG TO BAN VE VA KICH THUOC!")(Princ)
)
VÀ TẠO CÁC FILE MẪU TỈ LỆ: 1/100; 1/200; 1/250; 1/500; 1/1000; 1/2000.
LƯU Ý: TẠO 1 FILE MẪU TỈ LỆ 1/1000, SAU ĐÓ COPY THÀNH CÁC FILE NHƯNG VẪN DỮ NGUYÊN TỈ LỆ 1/1000 VÀ CHỈ SỬA CHỮ TỈ LỆ Ở PHẦN NHƯ HÌNH MINH HỌA KÈM THEO" TỶ LỆ: 1/1*** (Đơn vị cm)" BÊN TRONG BẢN VẼ VÀ XỬ DỤNG LỆNH SCC KÈM THEO ĐỂ SCALE DIM CHO ĐÚNG TỈ LỆ NGOÀI RA KHÔNG ĐƯỢC SCALE KHUNG RỒI LƯU FILE VẬY LÀ OK.
BẢN VẼ SẼ TỰ SCALE KHUNG KHI MÌNH GÕ LỆNH: KHUNG -> NHẬP SỐ TƯƠNG ỨNG VỚI TỈ LỆ 100 HOẶC 200 ...., VÀ NÓ SẼ HIỆN LÊN KHUNG NHƯ MÌNH ĐÃ MẶC ĐỊNH!
NHỚ COPY FILE KHUNG CỦA MÌNH THEO ĐÚNG ĐƯỜNG DẪN VÀO Ổ "c:\\program files\\AutoCAD 2004\\Khung\\"SAU ĐÓ SỬA VÀ LƯU FILE VÀO ĐÓ.
BẢN VẼ KÈM THEO ĐÃ CÓ KÍCH THƯỚC CHUẨN THEO TỪNG TỈ LỆ VÀ BẢN VẼ VẪN GIỮ NGUYÊN TỈ LỆ 1/1000:
http://www.cadviet.c...62465_khung.rar

Cám ơn Bạn, nhưng sao mình chạy file lisp báo lỗi sau

CHON GOC TRAI-DUOI BAN VE; error: no function definition: CHENKHUNGCG

Xin nhờ Bạn giúp.

Cám ơn


  • 0

#10 ngocanhtbh

ngocanhtbh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 October 2013 - 10:47 PM

Chào bạn,

Bạn có thể tạo sẵn các Layer, Dim, Linetype, khổ giấy... Sau khi tạo xong, bạn chọn "Save as" và save với extension là DWT (AutoCAD Drawing Template). Bạn có thể lưu ở thư mục "Template" mặc định của ACAD hoặc thư mục nào đó. Để tải bản vẽ này, Bạn chọn "New", khi hộp thoại "Create New drawing" hiện lên, bạn click chọn nút "Use a Templae" (nút thứ 3 từ trái qua), chọn tên Bản vẽ Template bạn đã tạo (nếu bạn lưu trên thư mục "Template" của ACAD) hoặc chọn "Browse" để đến thư mục bạn đã lưu file Template.

Lưu ý, bạn nên tạo file Tempate theo hệ đơn vị Metric. Để chọn được hệ Metric, bạn gõ "Startup" rồi gõ số 1. Từ File, chọn "New" sau đó chọn "Metric" từ hộp thoại "Create New Drawing" (nút "Start from Sratch").
Chúc bạn thành công!

Cái này còn thiếu một chút:

Để mở lên có sẵn bạn phải mặc định Template vừa tạo sẽ đuợc khởi động cùng CAD.

Cách làm như sau:

1. Khởi động CAD.

2. Nhập lệnh OP, xuất hiện bảng Option

3. Nhấp chuột vào template settings

4. Nhấp chuột vào Default template file name for Qnew

5. Chỉ đường dẫn đến file mẫu đã lưu.

6. Ấn OK

7. Khi nào chán thì thay file mẫu khác


  • 0

#11 duydo

duydo

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 September 2014 - 11:41 AM

em cũng mới học cad nên còn ga mờ lắm. các bác cho em hỏi với? là khi em ghi kích thước thì nó van mang thuộc tính của layer hiện hành mà không mang layer mà em đã đặt trong hộp dim


  • 0